Package com.github.lgooddatepicker.components

# Enum DatePickerSettings.DateArea

java.lang.Object
java.lang.Enum<DatePickerSettings.DateArea>
com.github.lgooddatepicker.components.DatePickerSettings.DateArea

All Implemented Interfaces:
  `Serializable`, `Comparable<DatePickerSettings.DateArea>`, `java.lang.constant.Constable`

Enclosing class:
  `DatePickerSettings`

public static enum DatePickerSettings.DateArea extends Enum<DatePickerSettings.DateArea>
DateArea, These enumerations represent areas of the components whose color can be changed. These values are used with the setColor() function, to set the color of various areas of the DatePicker or the CalendarPanel. The default color for each area is also defined here. Note: The text color of disabled (vetoed) dates in the calendar will always be grey (cannot be modified). This seems to be enforced by the swing setEnabled() function.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BackgroundCalendarPanelLabelsOnHover`
`BackgroundClearLabel`
`BackgroundMonthAndYearMenuLabels`
`BackgroundMonthAndYearNavigationButtons`
`BackgroundOverallCalendarPanel`
`BackgroundTodayLabel`
`BackgroundTopLeftLabelAboveWeekNumbers`
`CalendarBackgroundNormalDates`
`CalendarBackgroundSelectedDate`
`CalendarBackgroundVetoedDates`
`CalendarBorderSelectedDate`
`CalendarDefaultBackgroundHighlightedDates`
`CalendarDefaultTextHighlightedDates`
`CalendarTextNormalDates`
`CalendarTextWeekdays`
`CalendarTextWeekNumbers`
`DatePickerTextDisabled`
`DatePickerTextInvalidDate`
`DatePickerTextValidDate`
`DatePickerTextVetoedDate`
`TextCalendarPanelLabelsOnHover`
`TextClearLabel`
`TextFieldBackgroundDisabled`
`TextFieldBackgroundDisallowedEmptyDate`
`TextFieldBackgroundInvalidDate`
`TextFieldBackgroundValidDate`
`TextFieldBackgroundVetoedDate`
`TextMonthAndYearMenuLabels`
`TextMonthAndYearNavigationButtons`
`TextTodayLabel`

## Field Summary

Fields
Modifier and Type
Field
Description
`Color`
`defaultColor`

## Method Summary

Modifier and Type
Method
Description
`static DatePickerSettings.DateArea`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DatePickerSettings.DateArea[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BackgroundClearLabel

public static final DatePickerSettings.DateArea BackgroundClearLabel

### BackgroundMonthAndYearMenuLabels

public static final DatePickerSettings.DateArea BackgroundMonthAndYearMenuLabels

### BackgroundMonthAndYearNavigationButtons

public static final DatePickerSettings.DateArea BackgroundMonthAndYearNavigationButtons

### BackgroundCalendarPanelLabelsOnHover

public static final DatePickerSettings.DateArea BackgroundCalendarPanelLabelsOnHover

### BackgroundOverallCalendarPanel

public static final DatePickerSettings.DateArea BackgroundOverallCalendarPanel

### BackgroundTodayLabel

public static final DatePickerSettings.DateArea BackgroundTodayLabel

### BackgroundTopLeftLabelAboveWeekNumbers

public static final DatePickerSettings.DateArea BackgroundTopLeftLabelAboveWeekNumbers

### CalendarBackgroundNormalDates

public static final DatePickerSettings.DateArea CalendarBackgroundNormalDates

### CalendarBackgroundSelectedDate

public static final DatePickerSettings.DateArea CalendarBackgroundSelectedDate

### CalendarBackgroundVetoedDates

public static final DatePickerSettings.DateArea CalendarBackgroundVetoedDates

### CalendarBorderSelectedDate

public static final DatePickerSettings.DateArea CalendarBorderSelectedDate

### CalendarDefaultBackgroundHighlightedDates

public static final DatePickerSettings.DateArea CalendarDefaultBackgroundHighlightedDates

### CalendarDefaultTextHighlightedDates

public static final DatePickerSettings.DateArea CalendarDefaultTextHighlightedDates

### CalendarTextNormalDates

public static final DatePickerSettings.DateArea CalendarTextNormalDates

### CalendarTextWeekdays

public static final DatePickerSettings.DateArea CalendarTextWeekdays

### CalendarTextWeekNumbers

public static final DatePickerSettings.DateArea CalendarTextWeekNumbers

### TextClearLabel

public static final DatePickerSettings.DateArea TextClearLabel

### TextMonthAndYearMenuLabels

public static final DatePickerSettings.DateArea TextMonthAndYearMenuLabels

### TextMonthAndYearNavigationButtons

public static final DatePickerSettings.DateArea TextMonthAndYearNavigationButtons

### TextTodayLabel

public static final DatePickerSettings.DateArea TextTodayLabel

### TextCalendarPanelLabelsOnHover

public static final DatePickerSettings.DateArea TextCalendarPanelLabelsOnHover

### TextFieldBackgroundDisallowedEmptyDate

public static final DatePickerSettings.DateArea TextFieldBackgroundDisallowedEmptyDate

### TextFieldBackgroundInvalidDate

public static final DatePickerSettings.DateArea TextFieldBackgroundInvalidDate

### TextFieldBackgroundValidDate

public static final DatePickerSettings.DateArea TextFieldBackgroundValidDate

### TextFieldBackgroundVetoedDate

public static final DatePickerSettings.DateArea TextFieldBackgroundVetoedDate

### TextFieldBackgroundDisabled

public static final DatePickerSettings.DateArea TextFieldBackgroundDisabled

### DatePickerTextInvalidDate

public static final DatePickerSettings.DateArea DatePickerTextInvalidDate

### DatePickerTextValidDate

public static final DatePickerSettings.DateArea DatePickerTextValidDate

### DatePickerTextVetoedDate

public static final DatePickerSettings.DateArea DatePickerTextVetoedDate

### DatePickerTextDisabled

public static final DatePickerSettings.DateArea DatePickerTextDisabled

## Field Details

### defaultColor

public Color defaultColor

## Method Details

### values

public static DatePickerSettings.DateArea[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DatePickerSettings.DateArea valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null